add_library(
	OxMetalClaw
		src/read.cpp
		src/write.cpp
)

if(NOT MSVC)
	target_compile_options(OxMetalClaw PRIVATE -Wsign-conversion)
	target_compile_options(OxMetalClaw PRIVATE -Wconversion)
endif()

target_link_libraries(
	OxMetalClaw PUBLIC
		OxModel
		OxStd
)

if(NOT OX_BARE_METAL)
	set_property(
		TARGET
			OxMetalClaw
		PROPERTY
			POSITION_INDEPENDENT_CODE ON
	)
endif()

target_include_directories(
	OxMetalClaw PUBLIC
		include
)

install(
	DIRECTORY
		include/ox
	DESTINATION
		include
)

install(
	TARGETS OxMetalClaw
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

if(OX_RUN_TESTS)
	add_subdirectory(test)
endif()
